Create a new profile
POST
/api/profiles
const url = 'https://api.usegro.co/api/profiles';const options = { method: 'POST', headers: { Authorization: 'Bearer <token>', 'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json' }, body: '{"email":"example","email_status":"subscribed","sms_status":"subscribed","first_name":"example","last_name":"example","title":"example","phone_number":"example","external_id":"example","address1":"example","address2":"example","city":"example","country":"example","country_code":"example","region":"example","postal_code":"example","timezone":"example","ip":"example","properties":{},"created_at":"2026-04-15T12:00:00Z","updated_at":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.usegro.co/api/profiles \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "email": "example", "email_status": "subscribed", "sms_status": "subscribed", "first_name": "example", "last_name": "example", "title": "example", "phone_number": "example", "external_id": "example", "address1": "example", "address2": "example", "city": "example", "country": "example", "country_code": "example", "region": "example", "postal_code": "example", "timezone": "example", "ip": "example", "properties": {}, "created_at": "2026-04-15T12:00:00Z", "updated_at": "2026-04-15T12:00:00Z" }'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
email
required
string
email_status
string
sms_status
string
first_name
string
last_name
string
title
string
phone_number
string
external_id
string
address1
string
address2
string
city
string
country
string
country_code
string
region
string
postal_code
string
timezone
string
ip
string
properties
object
key
additional properties
any
created_at
string format: date-time
updated_at
string format: date-time
Responses
Section titled “Responses”Media typeapplication/json
object
data
required
object
id
required
string
timezone
string
address1
string
address2
string
city
string
region
string
country
string
country_code
string
postal_code
string
created_at
string
updated_at
string
full_address
required
string
external_id
string
email
required
string
full_name
required
string
first_name
string
last_name
string
phone_number
string
phone_country
string
sms_consent_source
string
sms_consented_at
string
consent_source
string
consented_at
string
shopify_customer_id
string
shopify_customer_tags
Array<string>
properties
required
object
Example
{ "data": { "email_status": "subscribed", "sms_status": "subscribed", "sms_opt_in_level": "single_opt_in" }}